<form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="create-ych-container">
  <div class="p-grid center-container">
    <div class="p-col-12">
      <app-control-change-data [controlName]="'currentPassword'" [controlType]="'TEXT'" [errorKeys]="['required']"
                               [labelValue]="'Current password'" [parentForm]="formGroup">
      </app-control-change-data>
    </div>
    <div class="p-col-12">
      <app-control-change-data [controlName]="'newUsername'" [controlType]="'TEXT'"
                               [errorKeys]="['required', 'minlength', 'maxlength']"
                               [labelValue]="'New user name'" [parentForm]="formGroup">
      </app-control-change-data>
    </div>
  </div>
  <div class="p-d-flex p-jc-center">
    <div class="p-mr-2">
      <button label="Submit" pButton type="submit"></button>
    </div>
  </div>
</form>
